execute as @a if predicate crafting:new_wand run function crafting:get_stats

# --------------------------------------------------------------------------------- #

execute as @a if data entity @s SelectedItem run function brewing:check_if_ingredient with entity @s SelectedItem
execute as @e[type=item, nbt={OnGround:1b, Item:{tag:{Ingredient:1b}}}] at @s if entity @a[distance=..6] run function brewing:ingredient

# --------------------------------------------------------------------------------- #

execute as @a unless score @s ID matches 0.. run function get_id

# --------------------------------------------------------------------------------- #

execute as @a[advancements={spells:active_wand=true}] at @s positioned ~ ~1 ~ run function spells:detection/teleport
execute as @a[advancements={spells:active_wand=true}] run function spells:actionbar/get_data
execute as @a[advancements={spells:static_wand=true}] run title @s actionbar ""


execute as @e[type=#spells:targets, tag=Crucio] at @s run function spells:spells/after_effects/crucio
execute as @e[type=#spells:targets, tag=Imperio] at @s run function spells:spells/after_effects/imperio
execute as @e[type=fireball, tag=confringoBall] at @s run function spells:spells/after_effects/confringo

execute as @a[tag=Lumos, nbt={SelectedItem:{id:"minecraft:stick", tag:{Wand:1b}}}] at @s run function spells:spells/after_effects/lumos
execute as @a[tag=Lumos, nbt=!{SelectedItem:{id:"minecraft:stick", tag:{Wand:1b}}}] at @s run fill ~20 ~-1 ~-20 ~-20 ~2 ~20 air replace light

# --------------------------------------------------------------------------------- #

execute as @a at @s run function pets:check_pet
execute as @a[tag=ActivePet] at @s run function pets:teleport
execute as @e[type=item_display, tag=Pet] at @s run function pets:animation

# --------------------------------------------------------------------------------- #

execute if score #Timer Cooldown matches 1..20 run scoreboard players remove #Timer Cooldown 1
execute unless score #Timer Cooldown matches 1..20 run function timers